IMotif

data

## Class IMotif

- java.lang.Object
- - data.IMotif

- All Implemented Interfaces:
    BasicDataElement

      public class IMotif
      extends java.lang.Object
      implements BasicDataElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ArrayList<IMotif>` | `equiMotifs`
    `private IScore` | `iScore`
    `private int` | `srcNoteId`
    `private int` | `srcPartId`
    `private int` | `srcPhraseId`
    `private java.lang.String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMotif(IScore _iScore, int phraseId, int partId, int noteId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEquiMotif(IMotif motif)`
    `boolean` | `containsEquiMotif(IMotif motif)`
    `boolean` | `equals(java.util.ArrayList<INote> cmpMotifNotes)`
    `boolean` | `equals(IMotif motif)`
    `int` | `getDefaultInstrument()`
    `IMotif` | `getEquiMotif(int id)`
    `int` | `getEquiMotifCount()`
    `java.util.ArrayList<IMotif>` | `getEquiMotifs()`
    `IScore` | `getIScore()`
    `int` | `getMotifLength()`
    `java.lang.String` | `getMotifType()`
    `jm.music.data.Score` | `getMusicStructure()`
    `java.lang.String` | `getName()`
    `java.util.ArrayList<INote>` | `getNotes()`
    `IScore` | `getScore()`
    `int` | `getSrcNoteId()`
    `int` | `getSrcPartId()`
    `int` | `getSrcPhraseId()`
    `double` | `getTempo()`
    `void` | `setMotifType(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iScore

          private IScore iScore

    - #### srcPhraseId

          private int srcPhraseId

    - #### srcPartId

          private int srcPartId

    - #### srcNoteId

          private int srcNoteId

    - #### type

          private java.lang.String type

    - #### equiMotifs

          private java.util.ArrayList<IMotif> equiMotifs

  - ### Constructor Detail

    - #### IMotif

          public IMotif(IScore _iScore,
                int phraseId,
                int partId,
                int noteId)

  - ### Method Detail

    - #### setMotifType

          public void setMotifType(java.lang.String type)

    - #### getMotifType

          public java.lang.String getMotifType()

    - #### addEquiMotif

          public void addEquiMotif(IMotif motif)

    - #### equals

          public boolean equals(java.util.ArrayList<INote> cmpMotifNotes)

    - #### equals

          public boolean equals(IMotif motif)

    - #### containsEquiMotif

          public boolean containsEquiMotif(IMotif motif)

    - #### getEquiMotifs

          public java.util.ArrayList<IMotif> getEquiMotifs()

    - #### getEquiMotif

          public IMotif getEquiMotif(int id)

    - #### getName

          public java.lang.String getName()

    - #### getTempo

          public double getTempo()

    - #### getDefaultInstrument

          public int getDefaultInstrument()

    - #### getNotes

          public java.util.ArrayList<INote> getNotes()

    - #### getScore

          public IScore getScore()

    - #### getEquiMotifCount

          public int getEquiMotifCount()

    - #### getSrcPhraseId

          public int getSrcPhraseId()

    - #### getSrcPartId

          public int getSrcPartId()

    - #### getSrcNoteId

          public int getSrcNoteId()

    - #### getIScore

          public IScore getIScore()

    - #### getMotifLength

          public int getMotifLength()

    - #### getMusicStructure

          public jm.music.data.Score getMusicStructure()

      Specified by:
        `getMusicStructure` in interface `BasicDataElement`